## python-opentelemetry 1.35.0

=== docs/examples/opencensus-shim/requirements.txt ===
opentelemetry-api
opentelemetry-sdk
opentelemetry-exporter-otlp
opentelemetry-opencensus-shim
opentelemetry-instrumentation-sqlite3
opencensus
opencensus-ext-flask
Flask

=== docs/examples/metrics/prometheus-grafana/requirements.txt ===
opentelemetry-exporter-prometheus==1.12.0rc1
protobuf~=3.18.1

=== debian/changelog ===
python-opentelemetry (1.35.0-2) unstable; urgency=medium

  * [378c134] d/copyright: Add missing info about Google Inc.
    Thanks Thorsten for spotting this missing information!
  * [0e14e17] d/watch: Convert to version 5
  * [85ee3ac] d/rules: Clean every occurrencesof folder .mypy_cache

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Oct 2025 08:25:42 +0200

python-opentelemetry (1.35.0-1) unstable; urgency=medium

  * [950ea01] New upstream version 1.35.0
  * [129b9e3] First and basic Debianization
    (Closes: #1109099)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Jul 2025 09:56:15 +0200

=== debian/control ===
Source: python-opentelemetry
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-grpcio <!nocheck>,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python-aiohttp-doc <!nodoc>,
# python-grpcio-doc <!nodoc>,
 python-opentracing-doc <!nodoc>,
 python-pymongo-doc <!nodoc>,
 python-wrapt-doc <!nodoc>,
 python3-django <!nodoc>,
 python3-doc <!nodoc>,
 python3-deprecated <!nocheck>,
 python3-google-api-core <!nodoc>,
 python3-flaky <!nocheck>,
 python3-grpcio <!nodoc>,
 python3-hatchling,
 python3-importlib-metadata <!nodoc>,
# python3-importlib-metadata <!nocheck>,
 python3-prometheus-client <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-pytest-lazy-fixtures <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-redis <!nocheck>,
 python3-requests <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-typing-extensions <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/open-telemetry/opentelemetry-python
Vcs-Git: https://salsa.debian.org/python-team/packages/opentelemetry.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/opentelemetry
Testsuite: autopkgtest-pkg-python

Package: python-opentelemetry-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: OpenTelemetry-Python API Reference
 The syntax required for a functional Sphinx cross-reference is highly
 non-obvious in many cases. Sometimes Sphinx can guess correctly what you
 mean, but it's pretty hit-or-miss. The best approach is to provide Sphinx
 with a completely specified cross-reference, and that's where sphobjinv
 comes in.
 .
 This package contains the docs for the Python OpenTelemetry implementation.

Package: python3-opentelemetry-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Python API
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 The OpenTelemetry API is a collection of language-specific APIs (designed to
 be language-agnostic) that standardize the way telemetry data is captured
 and processed. Consider it a contract between your application code and the
 actual implementation (SDK). The API enables developers to consistently
 instrument their code, while the SDK handles the actual collection and export
 of telemetry data.
 .
 Key components of the API are:
 .
  * Tracers: It builds and manages spans for distributed tracing.
  * Meters: It is used to track application metrics (such as latency and
            failures).
  * Loggers: It is for creating structured log entries.

Package: python3-opentelemetry-proto
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Python Proto
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library contains the generated code for OpenTelemetry protobuf data
 model. The code in the current package was generated using the >= v1.2.0
 release of opentelemetry-proto
 (https://github.com/open-telemetry/opentelemetry-proto).

Package: python3-opentelemetry-sdk
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Python SDK
 OpenTelemetry is an observability framework – an API, SDK, and tools that
 are designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 The OpenTelemetry SDK is a real API implementation that includes mechanisms
 for collecting, analyzing, and exporting telemetry data. While the API
 specifies "what" to track, the SDK handles "how" the data is collected and
 delivered to observability platforms, serving as the engine that drives your
 observability pipeline.
 .
 Main features of the SDK:
 .
  * Data processing and aggregation: Determines how telemetry data is
    processed and transferred to the backend.
  * Sampling and filtering: Allows you to control which data is collected
    using configurable criteria.
  * Data export: Telemetry data is delivered to a variety of backends,
    including Prometheus, Jaeger, and SigNoz.

Package: python3-opentelemetry-semantic-conventions
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Semantic Conventions
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library contains generated code for the semantic conventions defined by
 the OpenTelemetry specification.
 .
 The Semantic Conventions define a common set of (semantic) attributes which
 provide meaning to data when collecting, producing and consuming it. The
 Semantic Conventions specify among other things span names and kind, metric
 instruments and units as well as attribute names, types, meaning and valid
 values.

# Requires opencensus-proto being packaged due bin dep.
#Package: python3-opentelemetry-exporter-opencensus
#Architecture: all
#Depends:
# ${misc:Depends},
# ${python3:Depends},
#Suggests:
# python-opentelemetry-doc,
#Description: OpenTelemetry OpenCensus Exporter
# OpenTelemetry is an observability framework – an API, SDK, and tools that are
# designed to aid in the generation and collection of application telemetry data
# such as metrics, logs, and traces.
# .
# This library allows one to export traces using OpenCensus.

Package: python3-opentelemetry-exporter-otlp
Architecture: all
Depends:
 python3-opentelemetry-exporter-otlp-proto-grpc,
 python3-opentelemetry-exporter-otlp-proto-http,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Collector Exporters
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library is provided as a convenience to install all supported
 OpenTelemetry Collector Exporters as an ametapackage. Currently it installs:
 .
  * opentelemetry-exporter-otlp-proto-grpc
  * opentelemetry-exporter-otlp-proto-http
 .
 In the future, additional packages will be available:
 .
  * opentelemetry-exporter-otlp-json-http
 .
 To avoid unnecessary dependencies, users should install the specific package
 once they've determined their preferred serialization and protocol method.

Package: python3-opentelemetry-exporter-otlp-proto-common
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Protobuf encoding
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library is provided as a convenience to encode to Protobuf.

Package: python3-opentelemetry-exporter-otlp-proto-grpc
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Collector Protobuf over gRPC Exporter
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library allows one to export data to the OpenTelemetry Collector using
 the OpenTelemetry Protocol using Protobuf over gRPC.

Package: python3-opentelemetry-exporter-otlp-proto-http
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Collector Protobuf over HTTP Exporter
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library allows one to export data to the OpenTelemetry Collector using
 the OpenTelemetry Protocol using Protobuf over HTTP.

Package: python3-opentelemetry-exporter-prometheus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: Prometheus Metric Exporter for OpenTelemetry
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library allows one to export metrics data to Prometheus
 https://prometheus.io/.

Package: python3-opentelemetry-exporter-zipkin-json
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: Zipkin Span JSON Exporter for OpenTelemetry
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library allows export of tracing data to Zipkin https://zipkin.io/>
 using JSON for serialization.

Package: python3-opentelemetry-exporter-zipkin-proto-http
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: Zipkin Span Protobuf Exporter for OpenTelemetry
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library allows export of tracing data to Zipkin https://zipkin.io/
 using Protobuf for serialization.

Package: python3-opentelemetry-propagator-b3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry B3 Propagator
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library provides a propagator for the B3 format.

Package: python3-opentelemetry-propagator-jaeger
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentelemetry-doc,
Description: OpenTelemetry Jaeger Propagator
 OpenTelemetry is an observability framework – an API, SDK, and tools that are
 designed to aid in the generation and collection of application telemetry
 data such as metrics, logs, and traces.
 .
 This library provides a propagator for the Jaeger format.

# Requires opencensus being packaged due bin dep.
#Package: python3-opentelemetry-opencensus-shim
#Architecture: all
#Depends:
# ${misc:Depends},
# ${python3:Depends},
#Suggests:
# python-opentelemetry-doc,
#Description: OpenCensus Shim for OpenTelemetry
# OpenTelemetry is an observability framework – an API, SDK, and tools that are
# designed to aid in the generation and collection of application telemetry data
# such as metrics, logs, and traces.
# .
# OpenCensus shim allows existing OpenCensus instrumentation to report to
# OpenTelemetry. This allows you to incrementally migrate your existing
# OpenCensus instrumentation to OpenTelemetry.
# More details are available in the OpenCensus Compatibility Specification

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

SPHINXOPTS := -E -N

export TMP_DIST-PACKAGES_FOLDER=$(CURDIR)/.pybuild/dist-packages/build

PYTHON_OPENTELEMETRY_PACKAGES=\
opentelemetry-api \
opentelemetry-proto \
opentelemetry-sdk \
opentelemetry-semantic-conventions \
$(NULL)

PYTHON_OPENTELEMETRY_EXPORTER_PACKAGES=\
opentelemetry-exporter-opencensus \
opentelemetry-exporter-otlp-proto-common \
opentelemetry-exporter-otlp-proto-grpc \
opentelemetry-exporter-otlp-proto-http \
opentelemetry-exporter-prometheus \
opentelemetry-exporter-zipkin-json \
opentelemetry-exporter-zipkin-proto-http \
$(NULL)

PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGES=\
opentelemetry-propagator-b3 \
opentelemetry-propagator-jaeger \
$(NULL)

PYTHON_OPENTELEMETRY_SHIM_PACKAGES=\
opentelemetry-opencensus-shim \
opentelemetry-opentracing-shim \
$(NULL)

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf .pybuild
	find -type d -name ".mypy_cache" -exec rm -rf {} \; -prune

override_dh_auto_build:
	for PYTHON_OPENTELEMETRY_PACKAGE in $(PYTHON_OPENTELEMETRY_PACKAGES); do \
	    echo "\n########\n# Building package $${PYTHON_OPENTELEMETRY_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_PACKAGE} ;\
	    dh_auto_build --buildsystem=pybuild --sourcedirectory $${PYTHON_OPENTELEMETRY_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_PACKAGE} ;\
	done
	for PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE in $(PYTHON_OPENTELEMETRY_EXPORTER_PACKAGES); do \
	    echo "\n########\n# Building package $${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	    dh_auto_build --buildsystem=pybuild --sourcedirectory exporter/$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}  -- --name=$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	done
	for PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE in $(PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGES); do \
	    echo "\n########\n# Building package $${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE} ;\
	    dh_auto_build --buildsystem=pybuild --sourcedirectory propagator/$${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE} ;\
	done
	for PYTHON_OPENTELEMETRY_SHIM_PACKAGE in $(PYTHON_OPENTELEMETRY_SHIM_PACKAGES); do \
	    echo "\n########\n# Building package $${PYTHON_OPENTELEMETRY_SHIM_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_SHIM_PACKAGE} ;\
	    dh_auto_build --buildsystem=pybuild --sourcedirectory shim/$${PYTHON_OPENTELEMETRY_SHIM_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_SHIM_PACKAGE} ;\
	done
	# To make sphinx.autodoc and also the tests find the various opentelemetry modules
	# we need to copy them into a folder we can use as PYTHONPATH then.
	# opencensus is still not available in the archive, see also README.source.
	mkdir .pybuild/dist-packages && \
	for FOLDER in `find .pybuild/cpython3_3.*_opentelemetry-*/ -maxdepth 1 -type d -name build`; do \
	    echo "Copy $${FOLDER} -> .pybuild/dist-packages" ;\
	    cp -a $${FOLDER} .pybuild/dist-packages ;\
	done
	# Copy the helper module 'test' for the tests into place.
	cp -a tests/opentelemetry-test-utils/src/opentelemetry/test $(TMP_DIST-PACKAGES_FOLDER)/opentelemetry

override_dh_auto_install:
	for PYTHON_OPENTELEMETRY_PACKAGE in $(PYTHON_OPENTELEMETRY_PACKAGES); do \
	    echo "\n########\n# Installing package $${PYTHON_OPENTELEMETRY_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_PACKAGE} ;\
	    dh_auto_install --buildsystem=pybuild --sourcedirectory $${PYTHON_OPENTELEMETRY_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_PACKAGE} ;\
	done
	for PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE in $(PYTHON_OPENTELEMETRY_EXPORTER_PACKAGES); do \
	    echo "\n########\n# Installing package $${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	    dh_auto_install --buildsystem=pybuild --sourcedirectory exporter/$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	done
	for PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE in $(PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGES); do \
	    echo "\n########\n# Installing package $${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE} ;\
	    dh_auto_install --buildsystem=pybuild --sourcedirectory propagator/$${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_PROPAGATOR_PACKAGE} ;\
	done
	for PYTHON_OPENTELEMETRY_SHIM_PACKAGE in $(PYTHON_OPENTELEMETRY_SHIM_PACKAGES); do \
	    echo "\n########\n# Installing package $${PYTHON_OPENTELEMETRY_SHIM_PACKAGE}\n########" ;\
	    PYBUILD_NAME=$${PYTHON_OPENTELEMETRY_SHIM_PACKAGE} ;\
	    dh_auto_install --buildsystem=pybuild --sourcedirectory shim/$${PYTHON_OPENTELEMETRY_SHIM_PACKAGE} -- --name=$${PYTHON_OPENTELEMETRY_SHIM_PACKAGE} ;\
	done

override_dh_auto_test:
	for PYTHON_OPENTELEMETRY_PACKAGE in $(PYTHON_OPENTELEMETRY_PACKAGES); do \
	    echo "\n#######################\n# Run tests for $${PYTHON_OPENTELEMETRY_PACKAGE}\n#######################\n" ;\
	    cd $(CURDIR)/$${PYTHON_OPENTELEMETRY_PACKAGE} ;\
	    PYTHONPATH=$(TMP_DIST-PACKAGES_FOLDER) python3 -m pytest ;\
	done
	for PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE in $(PYTHON_OPENTELEMETRY_EXPORTER_PACKAGES); do \
	    if [ "$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}" = "opentelemetry-exporter-opencensus" ]; then \
	        echo "\n#######################\n# Running tests for $${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}\n#######################\n" ;\
	        echo " ...skipped, missing a dependency!" ;\
	    elif [ "$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}" = "opentelemetry-exporter-otlp-proto-grpc" ]; then \
	        echo "\n#######################\n# Run tests for $${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}\n#######################\n" ;\
	        cd $(CURDIR)/exporter/$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	        PYTHONPATH=$(TMP_DIST-PACKAGES_FOLDER) python3 -m pytest --ignore tests/logs/test_otlp_logs_exporter.py \
	                                                                 --ignore tests/test_otlp_exporter_mixin.py \
	                                                                 --ignore tests/test_otlp_metrics_exporter.py \
	                                                                 --ignore tests/test_otlp_trace_exporter.py ;\
	    elif [ "$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}" = "opentelemetry-exporter-zipkin-json" ]; then \
	        echo "\n#######################\n# Run tests for $${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}\n#######################\n" ;\
	        cd $(CURDIR)/exporter/$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	        PYTHONPATH=$(TMP_DIST-PACKAGES_FOLDER) python3 -m pytest -k "not test_encode \
	                                                                 and not test_encode_local_endpoint_default \
	                                                                 and not test_encode_local_endpoint_explicits \
	                                                                 and not test_encode_max_tag_length_5 \
	                                                                 and not test_encode_max_tag_length_9 \
	                                                                 and not test_encode_max_tag_length_10 \
	                                                                 and not test_encode_max_tag_length_11 \
	                                                                 and not test_encode_max_tag_length_128" ;\
	    elif [ "$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}" = "opentelemetry-exporter-zipkin-proto-http" ]; then \
	        echo "\n#######################\n# Run tests for $${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE}\n#######################\n" ;\
	        cd $(CURDIR)/exporter/$${PYTHON_OPENTELEMETRY_EXPORTER_PACKAGE} ;\
	        PYTHONPATH=$(TMP_DIST-PACKAGES_FOLDER) python3 -m pytest -k "not test_encode \

## python-opentelemetry 1.38.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/getting_started/tests/requirements.txt ===
asgiref==3.7.2
attrs==23.1.0
certifi==2024.7.4
charset-normalizer==2.0.12
click==8.1.7
Flask==2.3.3
idna==3.7
importlib-metadata==6.8.0
iniconfig==2.0.0
itsdangerous==2.1.2
Jinja2==3.1.5
MarkupSafe==2.1.3
packaging==24.0
pluggy==1.3.0
py-cpuinfo==9.0.0
pytest==7.4.4
requests==2.32.3
tomli==2.0.1
typing_extensions==4.8.0
urllib3==1.26.19
Werkzeug==3.0.6
wrapt==1.15.0
zipp==3.19.2
-e opentelemetry-semantic-conventions
-e opentelemetry-proto
-e exporter/opentelemetry-exporter-otlp-proto-common
-e exporter/opentelemetry-exporter-otlp-proto-grpc
-e opentelemetry-api
-e opentelemetry-sdk

=== docs/examples/fork-process-model/flask-gunicorn/requirements.txt ===
click==8.1.7
Flask==2.3.3
googleapis-common-protos==1.52.0
grpcio==1.56.2
gunicorn==22.0.0
itsdangerous==2.1.2
Jinja2==3.1.6
MarkupSafe==2.1.3
opentelemetry-api==1.20.0
opentelemetry-exporter-otlp==1.20.0
opentelemetry-instrumentation==0.41b0
opentelemetry-instrumentation-flask==0.41b0
opentelemetry-instrumentation-wsgi==0.41b0
opentelemetry-sdk==1.20.0
protobuf==3.20.3
six==1.15.0
thrift==0.13.0
uWSGI==2.0.22
Werkzeug==3.0.6
wrapt==1.16.0

=== docs/examples/fork-process-model/flask-uwsgi/requirements.txt ===
click==8.1.7
Flask==2.3.3
googleapis-common-protos==1.52.0
grpcio==1.56.2
itsdangerous==2.1.2
Jinja2==3.1.6
MarkupSafe==2.1.3
opentelemetry-api==1.20.0
opentelemetry-exporter-otlp==1.20.0
opentelemetry-instrumentation==0.41b0
opentelemetry-instrumentation-flask==0.41b0
opentelemetry-instrumentation-wsgi==0.41b0
opentelemetry-sdk==1.20.0
protobuf==3.20.3
six==1.15.0
thrift==0.13.0
uWSGI==2.0.22
Werkzeug==3.0.6
wrapt==1.16.0

=== docs/examples/metrics/instruments/requirements.txt ===
opentelemetry-api~=1.25
opentelemetry-sdk~=1.25
opentelemetry-exporter-otlp~=1.25

=== docs/examples/metrics/reader/requirements.txt ===
opentelemetry-api==1.15.0
opentelemetry-sdk==1.15.0
opentelemetry-semantic-conventions==0.36b0
typing_extensions==4.5.0
wrapt==1.14.1

=== debian/changelog ===
python-opentelemetry (1.38.0-1) unstable; urgency=medium

  * [4ec47f6] New upstream version 1.38.0
  * [0bab0a8] d/control: Add python3-prometheus-client for -doc build

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Oct 2025 07:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-hatchling,
  python3-importlib-metadata <!nodoc>,
 # python3-importlib-metadata <!nocheck>,
- python3-prometheus-client <!nocheck>,
+ python3-prometheus-client <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-benchmark <!nocheck>,

=== debian/tests/control ===
Tests:
 test01-python3-opentelemetry-api
 test02-python3-opentelemetry-proto
 test03-python3-opentelemetry-sdk
 test04-python3-opentelemetry-semantic-conventions
 test05-python3-opentelemetry-exporter-otlp-proto-common
# test06-python3-opentelemetry-exporter-otlp-proto-grpc
 test07-python3-opentelemetry-exporter-prometheus
# Some more adjustments needed.
# test08-python3-opentelemetry-exporter-zipkin-json
# test09-python3-opentelemetry-exporter-zipkin-http
Depends:
 python3-all,
 python3-grpcio,
 python3-deprecated,
 python3-flaky,
# python3-importlib-metadata,
 python3-prometheus-client,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-benchmark,
 python3-pytest-lazy-fixtures,
 python3-pytest-mock,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-redis,
 python3-requests,
 python3-typing-extensions,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Source: https://github.com/open-telemetry/opentelemetry-python.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## python-opentelemetry 1.39.1

=== debian/changelog ===
python-opentelemetry (1.39.1-2) unstable; urgency=medium

  * Team Upload
  * Add debian/salsa-ci.yml
  * Drop dependency on python3-importlib-metadata backport

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 17:51:13 +0100

python-opentelemetry (1.39.1-1) unstable; urgency=medium

  * [034faf6] Rebuid patch queue from patch-queue branch
    Fixed typo in metadata:
    Use-local-intersphinx-resources-where-possible.patch
  * [167467b] d/control: Mark more bin packages Multi-Arch: foreign
  * [9bf17bd] New upstream version 1.39.1
  * [1338fcc] autopkgtest: Ignore async testing in sdk package
  * [265d981] autopkgtest: Ignore test05-python3-opentelemetry-exporter-otlp-proto-common

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Dec 2025 11:47:12 +0200

python-opentelemetry (1.38.0-2) unstable; urgency=medium

  * Team Upload
  * Fix Vcs tags
  * Apply Multi-Arch: hint

  [ Carsten Schoenert ]
  * [7024055] d/control: Correct long desc for -doc package (Closes: #1119714)
  * [f14b1b1] d/control: Another typo fix in a long description

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Nov 2025 06:56:04 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,6 @@
  python3-flaky <!nocheck>,
  python3-grpcio <!nodoc>,
  python3-hatchling,
- python3-importlib-metadata <!nodoc>,
-# python3-importlib-metadata <!nocheck>,
  python3-prometheus-client <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
@@ -43,8 +41,8 @@
  python3-typing-extensions <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/open-telemetry/opentelemetry-python
-Vcs-Git: https://salsa.debian.org/python-team/packages/opentelemetry.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/opentelemetry
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-opentelemetry.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opentelemetry
 Testsuite: autopkgtest-pkg-python
 
 Package: python-opentelemetry-doc
@@ -55,16 +53,24 @@
  ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: OpenTelemetry-Python API Reference
- The syntax required for a functional Sphinx cross-reference is highly
- non-obvious in many cases. Sometimes Sphinx can guess correctly what you
- mean, but it's pretty hit-or-miss. The best approach is to provide Sphinx
- with a completely specified cross-reference, and that's where sphobjinv
- comes in.
+ OpenTelemetry is a collection of APIs, SDKs, and tools. Use it to instrument,
+ generate, collect, and export telemetry data (metrics, logs, and traces) to
+ help you analyze your software’s performance and behavior.
+ .
+ OpenTelemetry, also known as OTel, is a vendor-neutral open source
+ Observability
+ (https://opentelemetry.io/docs/concepts/observability-primer/#what-is-observability)
+ framework for instrumenting, generating, collecting, and exporting telemetry
+ data such as traces
+ (https://opentelemetry.io/docs/concepts/signals/traces/),
+ metrics (https://opentelemetry.io/docs/concepts/signals/metrics/), and logs
+ (https://opentelemetry.io/docs/concepts/signals/logs/).
  .
  This package contains the docs for the Python OpenTelemetry implementation.
 
 Package: python3-opentelemetry-api
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -140,6 +146,7 @@
  ${python3:Depends},
 Suggests:
  python-opentelemetry-doc,
+Multi-Arch: foreign
 Description: OpenTelemetry Semantic Conventions
  OpenTelemetry is an observability framework – an API, SDK, and tools that are
  designed to aid in the generation and collection of application telemetry
@@ -184,7 +191,7 @@
  data such as metrics, logs, and traces.
  .
  This library is provided as a convenience to install all supported
- OpenTelemetry Collector Exporters as an ametapackage. Currently it installs:
+ OpenTelemetry Collector Exporters as an metapackage. Currently it installs:
  .
   * opentelemetry-exporter-otlp-proto-grpc
   * opentelemetry-exporter-otlp-proto-http
@@ -292,6 +299,7 @@
  ${python3:Depends},
 Suggests:
  python-opentelemetry-doc,
+Multi-Arch: foreign
 Description: OpenTelemetry B3 Propagator
  OpenTelemetry is an observability framework – an API, SDK, and tools that are
  designed to aid in the generation and collection of application telemetry
@@ -306,6 +314,7 @@
  ${python3:Depends},
 Suggests:
  python-opentelemetry-doc,
+Multi-Arch: foreign
 Description: OpenTelemetry Jaeger Propagator
  OpenTelemetry is an observability framework – an API, SDK, and tools that are
  designed to aid in the generation and collection of application telemetry
@@ -323,10 +332,3 @@
 # python-opentelemetry-doc,
 #Description: OpenCensus Shim for OpenTelemetry
 # OpenTelemetry is an observability framework – an API, SDK, and tools that are
-# designed to aid in the generation and collection of application telemetry data
-# such as metrics, logs, and traces.
-# .
-# OpenCensus shim allows existing OpenCensus instrumentation to report to
-# OpenTelemetry. This allows you to incrementally migrate your existing
-# OpenCensus instrumentation to OpenTelemetry.
-# More details are available in the OpenCensus Compatibility Specification

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
  test02-python3-opentelemetry-proto
  test03-python3-opentelemetry-sdk
  test04-python3-opentelemetry-semantic-conventions
- test05-python3-opentelemetry-exporter-otlp-proto-common
+# test05-python3-opentelemetry-exporter-otlp-proto-common
 # test06-python3-opentelemetry-exporter-otlp-proto-grpc
  test07-python3-opentelemetry-exporter-prometheus
 # Some more adjustments needed.
@@ -14,7 +14,6 @@
  python3-grpcio,
  python3-deprecated,
  python3-flaky,
-# python3-importlib-metadata,
  python3-prometheus-client,
  python3-pytest,
  python3-pytest-asyncio,
